HXUNCDATA(1)

NAME
hxuncdata - replace CDATA sections by character entities

SYNOPSIS
hxuncdata [ xml-file ]

DESCRIPTION
hxuncdata replaces CDATA sections by character entities. The input is scanned for occurrences of "<![CDATA[" and corresponding "]]>". Those strings are removed and all occurrences of "&", "<" and ">" in between them will be replaced by "&amp;", "&lt;" and "&gt;" respectively.

The input must be 1 byte per character. If it is not, convert it to UTF-8 first.

OPTIONS
The following options are supported:

-?, --help
    Show command usage.

OPERANDS
The following operand is supported:

xml-file
    The file to work on.

SEE ALSO
UTF-8 (RFC 2279)